Bug 1469732 (CVE-2017-9937)

Summary: CVE-2017-9937 libtiff: memory malloc failure in tif_jbig.c could cause DOS.
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: erik-fedora, mike, nforro, phracek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:16:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1469736, 1469734, 1469735    
Bug Blocks:    

Description Pedro Sampaio 2017-07-11 18:25:31 UTC
In LibTIFF 4.0.8, there is a memory malloc failure in tif_jbig.c. A
crafted TIFF document can lead to an abort resulting in a remote denial
of service attack.

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2707

Comment 1 Pedro Sampaio 2017-07-11 18:28:26 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1469734]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1469735]
Affects: fedora-all [bug 1469736]

Comment 2 Nikola Forró 2018-06-06 13:45:44 UTC
As per the upstream discussion, the vulnerability is in jbigkit, not libtiff.